Microsoft.Build.Utilities 2.0.0.0 System.MarshalByRefObject Microsoft.Build.Framework.ITask Microsoft.Build.Framework.LoadInSeparateAppDomain To be added.

Provides the same functionality as , but also derives from so that it can be instantiated in its own app domain.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class and allows derived classes to register their resources.

  The task resources.
  2.0.0.0
- Constructor

  If the prefix is an empty string, then string resource names will be used verbatim as Help keywords. For an example of how the prefix is used, see the method.

  Initializes a new instance of the class and allows derived classes to register their resources, as well as provide a prefix for composing help keywords from string resource names.

  The task resources.
  The Help keyword prefix.
  2.0.0.0
- Property
  Microsoft.Build.Framework.IBuildEngine To be added.

  The build engine automatically sets this property to allow tasks to call back into it.

  Gets or sets the build engine interface that is available to tasks.

  2.0.0.0
- Method
  System.Boolean

  This method must be implemented by the derived class.

  Runs the task.

  true if successful; otherwise, false.

  2.0.0.0
- Property
  System.String To be added.

  If a task does not have help keywords associated with its messages, it can ignore this property or set it to null. If the prefix is set to an empty string, then string resource names will be used verbatim as help keywords. For an example of how this prefix is used, see the method.

  Gets or sets the prefix that is used to compose Help keywords from string resource names.

  2.0.0.0
- Property
  Microsoft.Build.Framework.ITaskHost To be added.

  The build engine sets this property if the host IDE has associated a host object with this particular task.

  Gets or sets a host object instance that is associated with the derived .

  2.0.0.0
- Method
  2.0.0.0
  System.Object

  Otherwise, a limited lease of 5 minutes will result; and task instances can expire if they take a long time to process.

  When overridden in a derived class, gives tasks infinite lease time.

  null to specify an infinite lifetime.

- Property
  Microsoft.Build.Utilities.TaskLoggingHelper To be added. To be added.

  Gets an instance of a task logging helper object that contains task logging methods.

  2.0.0.0
- Property
  System.Resources.ResourceManager To be added.

  Derived classes should register their resources either during construction, or through this property, if they have localized strings.

  Gets or sets culture-specific resources of the derived .

  2.0.0.0